﻿using System;
using System.ComponentModel.DataAnnotations.Schema;
using UnivateProperties_API.Model.Region;
using UnivateProperties_API.Model.Users;

namespace UnivateProperties_API.Model.Timeshare
{
    public class TimeshareWeek : BaseEntity
    {
        #region Properties
        public bool ReferedByAgent { get; set; }
        [ForeignKey("Agent")]
        public int? AgentId { get; set; }
        [ForeignKey("Agency")]
        public int? AgencyId { get; set; }
        [ForeignKey("Owner")]
        public int OwnerId { get; set; }

        public bool OtherResort { get; set; }
        public string ResortCode { get; set; }
        public string ResortName { get; set; }
        [ForeignKey("Region")]
        public int RegionId { get; set; }
        public string Season { get; set; }
        public string Module { get; set; }
        public int Bedrooms { get; set; }
        public int MaxSleep { get; set; }
        public string WeekNumber { get; set; }
        public double LevyAmount { get; set; }

        public bool CurrentYearBanked { get; set; }
        public string BankedWith { get; set; }

        public bool LeviesPaidInFull { get; set; }
        public bool WeekPlacedForRental { get; set; }
        public double OriginalPurchasePrice { get; set; }
        public DateTime OriginalPurchaseDate { get; set; }
        public DateTime ArrivalDate { get; set; }
        public DateTime DepartureDate { get; set; }

        [ForeignKey("Status")]
        public int StatusId { get; set; }
        #endregion

        #region Navigation
        public virtual Status Status { get; set; }
        public virtual Province Region { get; set; }
        public virtual User Owner { get; set; }
        public virtual Agent Agent { get; set; }
        public virtual Agency Agency { get; set; }
        #endregion Navigation
    }
}
