﻿using System.ComponentModel.DataAnnotations.Schema;
using UnivateProperties_API.Containers;

namespace UnivateProperties_API.Model.Timeshare
{
    public class UnitConfigurationType : BaseEntity
    {
        #region Properties
        public string Description { get; set; }
        [ForeignKey("UnitConfiguration")]
        public int UnitConfigurationId { get; set; }
        #endregion Properties
        #region Navigation
        public virtual UnitConfiguration UnitConfiguration { get; set; }
        #endregion Navigation
        #region Methods
        public override ValidateEntity ValidateObject()
        {
            ValidateEntity v = new ValidateEntity();
            if (string.IsNullOrEmpty(Description))
            {
                v.Errors.Add("Description cant be blank");
            }
            return v;
        }
        #endregion
    }
}
